Skip to content

Architecture

26 endpoints. Every path below is served by trilocore-backend behind the gateway at https://api.trilocore.ai.

GET /api/v1/arch

List Architectures

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
chain string no — —
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
project_id string no maxLength 128 —
workspace_id string no maxLength 128 —
curl -X GET https://api.trilocore.ai/api/v1/arch \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch

Create Architecture

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
adopt_legacy boolean no —
chain string no —
document one of no —
name string no maxLength 200
project_id one of no —
target_ref one of no —
workspace_id one of no —
curl -X POST https://api.trilocore.ai/api/v1/arch \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"adopt_legacy": false, "chain": "…", "document": {}}'

▶ Run this example in the sandbox

GET /api/v1/arch/project-transfers

List Project Transfers

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
workspace_id string yes maxLength 64, minLength 1 —
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/project-transfers \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

POST /api/v1/arch/project-transfers

Transfer Project Content

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
ticket string yes maxLength 1048576, minLength 1
curl -X POST https://api.trilocore.ai/api/v1/arch/project-transfers \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{"ticket": "…"}'

GET /api/v1/arch/rules

List Architecture Rules

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/rules \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

DELETE /api/v1/arch/{architecture_id}

Delete Architecture

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X DELETE https://api.trilocore.ai/api/v1/arch/{architecture_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/arch/{architecture_id}

Get Architecture

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

PATCH /api/v1/arch/{architecture_id}

Patch Architecture

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
document one of no —
name one of no —
project_id one of no —
target_ref one of no —
workspace_id one of no —
curl -X PATCH https://api.trilocore.ai/api/v1/arch/{architecture_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"document": {}, "name": "…", "project_id": "…"}'

▶ Run this example in the sandbox

PUT /api/v1/arch/{architecture_id}

Put Architecture

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
document object yes —
name one of no —
target_ref one of no —
curl -X PUT https://api.trilocore.ai/api/v1/arch/{architecture_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"document": {}}'

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/analyses

List Architecture Analyses

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/analyses \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch/{architecture_id}/analyses

Create Architecture Analysis

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
baseGraph one of no —
edges one of no —
label string no maxLength 200
nodes one of no —
target one of no —
curl -X POST https://api.trilocore.ai/api/v1/arch/{architecture_id}/analyses \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"baseGraph": {}, "edges": [], "label": "…"}'

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/analyses/{analysis_id}

Get Architecture Analysis

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/analyses/{analysis_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/audit-events

List Architecture Audit Events

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/audit-events \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/builds

List Architecture Builds

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/builds \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch/{architecture_id}/builds

Create Architecture Build

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
apply boolean no —
label string no maxLength 200
target object no —
curl -X POST https://api.trilocore.ai/api/v1/arch/{architecture_id}/builds \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"apply": false, "label": "…", "target": {}}'

GET /api/v1/arch/{architecture_id}/builds/{build_id}

Get Architecture Build

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/builds/{build_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/arch/{architecture_id}/diffs

List Architecture Diffs

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/diffs \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch/{architecture_id}/diffs

Create Architecture Diff

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
after one of no —
before object no —
label string no maxLength 200
curl -X POST https://api.trilocore.ai/api/v1/arch/{architecture_id}/diffs \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"after": {}, "before": {}, "label": "…"}'

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/diffs/{diff_id}

Get Architecture Diff

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/diffs/{diff_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/snapshots

List Architecture Snapshots

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/snapshots \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch/{architecture_id}/snapshots

Create Architecture Snapshot

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
label string no maxLength 200
curl -X POST https://api.trilocore.ai/api/v1/arch/{architecture_id}/snapshots \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{"label": "…"}'

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/snapshots/{snapshot_id}

Get Architecture Snapshot

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/snapshots/{snapshot_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/threats

Get Architecture Threats

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/threats \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/arch/{architecture_id}/traces

List Architecture Traces

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
Pagination paged: page_size ≤ 200 (default 50) + page_token; the body is {data, has_more, next_page_token, page_size}

Query parameters

Parameter Type Required Constraints Description
page_size integer no default 50, clamped to 200, minimum 1 Items per page. Default 50; values above 200 are clamped to 200 (never an error). The effective value is echoed as page_size.
page_token string no maxLength 2048 Opaque token from a previous page's next_page_token. Valid for 3 days, only with the same filters and the same caller. Omit it to start from the first page.
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/traces \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/arch/{architecture_id}/traces

Create Architecture Trace

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 201
Upstream trilocore-backend

Request body

Field Type Required Constraints
label string no maxLength 200
root_address one of no —
trace object no —
curl -X POST https://api.trilocore.ai/api/v1/arch/{architecture_id}/traces \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label": "…", "root_address": "…", "trace": {}}'

GET /api/v1/arch/{architecture_id}/traces/{trace_id}

Get Architecture Trace

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/arch/{architecture_id}/traces/{trace_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"